#set( $symbol_pound = '#' )
#set( $symbol_dollar = '$' )
#set( $symbol_escape = '\' )
package ${package}.impl;

import java.util.Hashtable;
import org.coos.messaging.Endpoint;
import org.coos.messaging.Exchange;
import org.coos.messaging.Message;
import org.coos.messaging.impl.DefaultConsumer;
import org.coos.messaging.util.Log;
import org.coos.messaging.util.LogFactory;
import ${package}.api.${parentArtifactId}MessageFactory;
import ${package}.api.${parentArtifactId}MessageProperties;

public class ${parentArtifactId}Consumer extends DefaultConsumer {

    Message msg;
    private static final Log LOG = LogFactory.getLog(${parentArtifactId}Consumer.class.getName());
    
    public ${parentArtifactId}Consumer(Endpoint endpoint) {
        super(endpoint);
    }

    @Override
    public void process(Exchange exchange) {
    	msg = exchange.getInBoundMessage();
    	Hashtable<?, ?> props = msg.getBodyAsProperties();
    	if (msg.getName().equals(${parentArtifactId}MessageFactory.EXAMPLE_METHOD)) {
    		LOG.debug("Received msg: " + msg.getName() + " from: " + msg.getSenderEndpointUri() + " with property: " + props.get(${parentArtifactId}MessageProperties.EXAMPLE_PROP_EXAMPLENAME));
    		return;
    	}
    }
}
